function x=invlogis(py,slp,m,a)

% invlogis(py,slp,m,a) returns the stimulus value corresponding to y=py
% on the logistic psychometric function. Used to find the sweetpoint

if (py<1).*(py>a)
	x=m-log((1-a)./(py-a)-1)/slp;
else
	error('p_yes must be between a and 1 (not inclusive)')
end
