function pyes=logistic(x,slope,m,a)

% function pyes=logistic(x,slope,m,a) calculates proportion of yes responses
% according to a logistic psychometric function
eps=.00001;
pyes=a+(1-a)./(1+exp(-slope.*(x-m)));
pyes(pyes==1)=pyes(pyes==1)-eps;
pyes(pyes==0)=pyes(pyes==0)+eps;