function y=cumnorm(x);

%CUMNORM Cumulative Normal Distribution.
% CUMNORM returns the probability that the value of x exceeds
% a sample drawn from a normal distribution with mean 0 and standard deviation 1

for k=1:length(x)
	if x(k)<3.9
 		strt=min([x(k)-4 -4]);
 		xx=x(k)*(x(k)<10)+10*(x(k)>=10);
 		f=linspace(strt,xx,100);
 		y(k)=trapz(normpdf(f))*(f(2)-f(1));
	else
		y(k)=1;
	end
end
